Page MenuHomePhabricator

"Prevent account creation" should be unchecked when the block is configured to be Partial.
Closed, ResolvedPublic2 Story Points

Description

When setting a block, "Prevent account creation" is selected by default, as is 'sitewide.' However, it makes little sense for this to be a default for partial blocks.


Acceptance criteria

  • The UI should toggle "prevent account creation" to unchecked when the user first toggles the block to 'Partial', unless they have already interacted with this checkbox

Event Timeline

TBolliger created this task.Nov 1 2018, 3:46 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptNov 1 2018, 3:46 PM
TBolliger renamed this task from Should "Prevent account creation" be selected by default if the block is partial? to "Prevent account creation" should be unchecked when the block is configured to be Partial..Jan 30 2019, 10:44 PM
TBolliger raised the priority of this task from Lowest to Normal.
TBolliger updated the task description. (Show Details)
TBolliger updated the task description. (Show Details)Feb 7 2019, 4:55 PM
aezell set the point value for this task to 2.Feb 7 2019, 6:33 PM
TBolliger lowered the priority of this task from Normal to Low.
Tchanders updated the task description. (Show Details)Feb 7 2019, 6:38 PM

@Tchanders are you working on this?

Change 490665 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] WIP Toggle create account checkbox according to block type

https://gerrit.wikimedia.org/r/490665

Change 490665 merged by jenkins-bot:
[mediawiki/core@master] Uncheck "create account" on Special:Block for partial blocks

https://gerrit.wikimedia.org/r/490665

I see that changing between sitewide and partial toggles the value of "Account creation", on desktop and mobile (Android), when creating a new block or editing an existing. Unless you first check/uncheck the checkbox.

Waiting for T216845 to be fixed. I would like to see is how it handles editing a block which has already set "Account creation" to a "non-default" value (i.e. a sitewide block with "Account creation" unchecked or a partial block with it checked). Is the "Account creation" checkbox considered already "interacted with"?

Waiting for T216845 to be fixed. I would like to see is how it handles editing a block which has already set "Account creation" to a "non-default" value (i.e. a sitewide block with "Account creation" unchecked or a partial block with it checked). Is the "Account creation" checkbox considered already "interacted with"?

I'll just test this more in task T216845 and move this task to done.

Niharika closed this task as Resolved.Tue, Mar 26, 12:24 AM